Skip to main content
POST
/
v6
/
config
/
integrations
/
twilio
Configure Twilio
curl --request POST \
  --url https://sandbox.tight.com/v6/config/integrations/twilio \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountSid": "<string>",
  "apiKey": "<string>",
  "apiSecret": "<string>",
  "fromPhone": "<string>"
}
'
{
  "result": "SUCCESS",
  "data": {
    "accountSid": "<string>",
    "apiKey": "<string>",
    "apiSecret": "<string>",
    "fromPhone": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.

Body

application/json
accountSid
string
required

Twilio Account SID.

apiKey
string
required

Twilio API Key SID.

apiSecret
string
required

Twilio API Key Secret.

fromPhone
string
required

Twilio From Phone Number.

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object